Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.clearlook
Class ClearLookUtils

    java.lang.Object
      com.jgoodies.clearlook.ClearLookUtils

public final class ClearLookUtils
extends Object

Consists only of static methods that are useful when working with ClearLook.

Author:
  Karsten Lentzsch

Method Summary
`static Border` | `getStoredBorder(JComponent component)` Looks up and answers the border that ClearLook has stored before.
`static boolean` | `hasCheckedBorder(JComponent component)` Checks and answers if ClearLook has stored a border in the given component.
`static void` | `storeBorder(JComponent component, Border border)` Stores the given border in the client properties of the component.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### hasCheckedBorder

    public static boolean hasCheckedBorder(JComponent component)

  Checks and answers if ClearLook has stored a border in the given component.

  Parameters:
    `component` - the component that may hold the border
  Returns:
    true if ClearLook has stored a border.

### getStoredBorder

    public static Border getStoredBorder(JComponent component)

  Looks up and answers the border that ClearLook has stored before.

  Parameters:
    `component` - the component that holds the border
  Returns:
    the stored a border

### storeBorder

    public static void storeBorder(JComponent component,
                                   Border border)

  Stores the given border in the client properties of the component. If the border is `null` a marker object is stored, so we can determine whether we have attempted to store a border.

  Parameters:
    `component` - the component that holds the border
    `border` - the border to be stored
  See Also:
    `hasCheckedBorder(JComponent)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.